%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           libmawk
Version:        1.0.2
Release:        %mkrel 3
Summary:        Embed awk scripting language in any application written in C
Group:          System/Libraries
License:        GPLv2
URL:            http://repo.hu/projects/libmawk
Source0:        http://repo.hu/projects/libmawk/releases/%{name}-%{version}.tar.gz
Patch0:        libmawk-fix-common.patch

BuildRequires:  gcc

%description
Libmawk is a fork of mawk 1.3.3 restructured for embedding.
This provides libmawk.h and libmawk.so and can embed
awk scripting language in any application written in C.

%package -n %{libname}
Summary:        Library files for dynamic linking

%description -n %{libname}
Libmawk is a fork of mawk 1.3.3 restructured for embedding.
This provides libmawk.h and libmawk.so and can embed
awk scripting language in any application written in C.

%package -n %{devname}
Summary:        Development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
HTML documentation for %{name}.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fcommon"
./"configure" --prefix=%{_prefix} --symbols
%make_build

%install
%make_install LIBDIR=%{buildroot}/%{_libdir} LIBARCHDIR=%{buildroot}/%{_libdir} \
              LIBPATH=%{buildroot}/%{_libdir}/%{name}

%files -n %{libname}
%license src/libmawk/COPYING
%doc AUTHORS README Release_notes
%{_libdir}/*.so.%{major}{,.*}
%{_bindir}/lmawk
%{_libdir}/%{name}/*.awk
%{_mandir}/man1/*

%files -n %{devname}
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}


%changelog
* Wed Aug 05 2020 joequant <joequant> 1.0.2-3.mga8
+ Revision: 1611053
- fix multiple defines
- redo deps

* Mon Feb 17 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1537666
- Mageia 8 Mass Rebuild

* Tue Nov 05 2019 barjac <barjac> 1.0.2-1.mga8
+ Revision: 1458262
- new version 1.0.2

* Wed Mar 13 2019 barjac <barjac> 1.0.1-1.mga7
+ Revision: 1375540
- adapt spec for Mageia
- import from Fedora

